package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 评价结果(1.非常不满意,2.差评)枚举类
*
* @author zxfei
*/
public enum ReviewResultEnum {
    非常不满意(1, "非常不满意"),
    差评(2, "差评");
    private Integer value;
    private String desc;

    ReviewResultEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ReviewResultEnum getByValue(Integer value) {
        for (ReviewResultEnum reviewResultEnum : ReviewResultEnum.values()) {
            if (reviewResultEnum.getValue() == value) {
                return reviewResultEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ReviewResultEnum item : ReviewResultEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}